#ifndef _PID_CTL_H_
#define _PID_DLT_H_
#include "../ctl/global.h"

void pid_init(struct pid *controller, float p, float i, float d, unsigned int target);
void pid_reset(struct pid *controller);
void pid_update_target(struct pid *controller, unsigned int target);
void pid_update_Kp(struct pid *controller, float c);
void pid_update_Ki(struct pid *controller, float c);
void pid_update_Kd(struct pid *controller, float c);
void pid_update(struct pid *controller, unsigned int reading);
int pid_get_output(struct pid *controller);

#endif
