
/*
 * This module used to control the high-level motion.
 */

#ifndef _CTL_MOTION_CONTROL_TASK_
#define  _CTL_MOTION_CONTROL_TASK_
#include "./global.h"
#include "./ctl_sensing_task.h" // this task might need to poll the sensors


// function used to modify the setpoint of the PID
void moti_setSetPoint(uint8_t sp);

// function used to Tune the the PID
// modify the gain constants from the pid_info struct
void moti_tunePID (CMD_COMMAND_FRAME *cmd);

// this function used for auto control of altitude

// auto control using PID



#endif //  _CTL_MOTION_CONTROL_TASK_
