// Matthew Kraus
// char.h -- basic character comparisons
// module prefix: char_

#pragma once

#ifndef INCLUDED_CHAR
#define INCLUDED_CHAR

// MSP430 types
typedef char char_bool;


char_bool char_isUpperLetter(char c)
{
	return c >= 65 && c <= 90;
}

char_bool char_isLowerLetter(char c)
{
	return c >= 97 && c <= 122;
}

char_bool char_isLetter(char c)
{
	return char_isLowerLetter(c) || char_isUpperLetter(c);
}

char_bool char_isWhitespace(char c)
{
	return c == 32 || c == 9;
}

char_bool char_isDigit(char c)
{
	return c >= 48 && c <= 57;
}

#endif // INCLUDED_CHAR