
/*HELPER FUNCTIONS*/
#include "./itoa.h"
// Start of printing related functions
void itoa(unsigned int input, char *a) {
	// copy the reference, get ready for extracting digit
	char *s = a;
	int length = 0;
	// make a loop to go through each digit of the integer input

	if(!input){
		*s++ = 0+'0';
		length++;
	}

	while (input != 0) {
		*s = (input % 10) + '0';
		s++;
		// delete the last digit
		input /= 10;
		length++;
	}

	*s = '\0';
	Reverse(a, length);
}

void Reverse  (char* s, int length)
{
	// make a pointer to the last element of the char array
	char *tail = s + (length -1);

	// calcualte the middle element of the array
	int mid = length / 2 ;
	// swap tail and head element
	int i;
	for (i = 0; i < mid; i++)
	{
		// exchange the elements
		char temp = *tail;
		*tail = *s;
		*s = temp;
		//advance the pointers
		tail--;
		s++;

	}


}

